data {
    int N;
    int M;
    int<lower = 1, upper = 2> X[N, M];
}
parameters {
    real mu[M];
    real<lower = 0.0> psy;
    real F[N];
}
transformed parameters {
    real p[N, M];
    for (i in 1:N)
        for (j in 1:M){
            p[i][j] = normal_cdf((mu[j] + F[i]) / psy, 0.0, 1.0);
        }
    
}
model {
    psy ~ exponential(0.01);
    for (j in 1:M) {
        mu[j] ~ normal(0.0, 100.0);
    }
    for (i in 1:N) {
        F[i] ~ normal(0.0, 1.0);
    }
    for (i in 1:N) {
        for (j in 1:M) {
            (X[i][j] - 1) ~ bernoulli(p[i][j]);
        }
    }
}
